## org.apache.lucene.queryParser
Enum QueryParser.Operator

    java.lang.Object
      java.lang.Enum<QueryParser.Operator>
          org.apache.lucene.queryParser.QueryParser.Operator

All Implemented Interfaces:
  Serializable, Comparable<QueryParser.Operator>

Enclosing class:
  QueryParser

    public static enum QueryParser.Operator

extends Enum<QueryParser.Operator>

The default operator for parsing queries. Use `QueryParser.setDefaultOperator(org.apache.lucene.queryParser.QueryParser.Operator)` to change it.

Enum Constant Summary
`AND`
`OR`

Method Summary
`static QueryParser.Operator` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryParser.Operator[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OR

    public static final QueryParser.Operator OR

### AND

    public static final QueryParser.Operator AND

Method Detail

### values

    public static final QueryParser.Operator[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QueryParser.Operator c : QueryParser.Operator.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QueryParser.Operator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name